# Retornar Dados

## RetornaDadosCliente

<mark style="color:green;">`POST`</mark> `https://api.fidelimax.com.br/api/Integracao/RetornaDadosCliente`

Exemplo no POSTMAN - <https://www.postman.com/fidelimax/workspace/fidelimax-api-1-0/request/18773698-be763c96-3810-4594-8d93-9d573b58b64f>

#### Headers

| Name                                           | Type   | Description                                                                                                    |
| ---------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------- |
| AuthToken<mark style="color:red;">\*</mark>    | string | Token de integração que esta na sua plataforma de controle em Integrações > API da Fidelimax > Quero Integrar. |
| Content-Type<mark style="color:red;">\*</mark> | String | application/json                                                                                               |

#### Request Body

| Name     | Type    | Description                                                                                              |
| -------- | ------- | -------------------------------------------------------------------------------------------------------- |
| telefone | string  | Telefone do Consumidor, formato (11)99999-9999. Campo obrigatório se os demais campos não forem enviados |
| endereco | boolean | Se true, o endereço do consumidor é retornado na requisição.                                             |
| cpf      | String  | CPF do Consumidor. Campo obrigatório se os demais campos não forem enviados                              |
| tag      | boolean | Se true, as tags vinculadas ao   consumidor são retornados na requisição.                                |

{% tabs %}
{% tab title="200 nome - Nome do consumidor
sexo - Sexo do consumidor
data\_nascimento - Data de nascimento do consumidor
email - E-mail do consumidor
telefone - Telefone do consumidor
data\_cadastro - Data de cadastro do consumidor
data\_ultima\_compra - Data da última pontuação creditada no extrato do consumidor
CodigoResposta - Identificação numérica da resposta
MensagemErro - Mensagem retornada pela API, quando há uma resposta diferente de OK
" %}

```
{    
    "nome": "Nome Consumidor",
    "sexo": "feminino",
    "data_nascimento": "1999-07-13",
    "email": "email@dominio.com.br",
    "telefone": "11999999999",
    "data_cadastro": "2017-07-13T17:54:25.3954258-03:30",
    "data_ultima_compra": "2017-07-13T17:54:25.3954258-03:30",
    "congelado": false,
    "tags":["tag1","tag2"]
    "url_indicacao_amigos": "http://suaplataforma.fidelimax.com.br?pIdentificacaoAmigo=xxxxxxx",
    "endereco": {
        "estado": "São Paulo",
        "cidade": "São Paulo",
        "cep": "01111-000",
        "rua": "Rua Salvador Simões",
        "bairro": "Vila Dom Pedro I",
        "numero": "1",
        "complemento": "Conjunto X"
    },
    "CodigoResposta": 100,
    "MensagemErro": ""
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fidelimax.com.br/clientes/consultar/retornar-dados.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
